{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_html.html.twig' %}
{% import "macros.html.twig" as macros %}

{% block body_classes %}layout-top-nav{% endblock  %}

{% block body %}
    <div class="wrapper flex flex-col h-full">
        <header class="main-header">
            <nav class="navbar navbar-fixed-top">
                <div class="navbar-gouv-placeholder"></div>
                <div class="navbar-gouv-bg"></div>
                <div class="container">
                    <div class="navbar-wrapper">
                        <div class="navbar-header">
                            <div class="navbar-gouv">
                                <img src="{{ asset('build/images/logos/marianne.png') }}">
                                <img src="{{ asset('build/images/logos/minefi.png') }}">
                            </div>
                            <a href="/" class="navbar-brand">
                                <img src="{{ asset('build/images/logos/datatourisme-200-inversed.png') }}">
                            </a>
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                                <i class="fa fa-bars"></i>
                            </button>
                        </div>
                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="navbar-collapse">
                            {{ knp_menu_render('main', {'depth': 2}) }}
                            <ul class="nav navbar-nav navbar-right">
                                <!-- Messages Menu -->
                                {# <li class="dropdown messages-menu"
                                    data-frameloader="{{ path('support.dropdown-menu') }}"
                                    data-interval="30000">
                                    <a href="#">
                                        <i class="fa fa-envelope-o"></i>
                                        <span class="visible-xs-inline">&nbsp;Messages</span>
                                    </a>
                                </li> #}
                                <!-- Notifications Menu -->
                                {# <li class="dropdown notifications-menu"
                                    data-frameloader="{{ path('notification.dropdown-menu') }}"
                                    data-interval="30000">
                                    <a href="#">
                                        <i class="fa fa-bell-o"></i>
                                        <span class="visible-xs-inline">&nbsp;Notifications</span>
                                    </a>
                                </li> #}
                                <!-- User Account Menu -->
                                <li class="dropdown user user-menu">
                                    <!-- Menu Toggle Button -->
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                        <img src="{{ asset("build/images/user-placeholder.png") }}" class="user-image" alt="User Image">
                                        <!-- hidden-xs hides the username on small devices so only the image appears. -->
                                        <span class="visible-xs-inline">{{  app.user.fullName }}</span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <!-- The user image in the menu -->
                                        <li class="user-header">
                                            <img src="{{ asset("build/images/user-placeholder.png" ) }}" class="user-image" alt="User Image">
                                            <div>
                                                {% if app.user is defined %}
                                                    <h3>{{ app.user.fullName }}</h3>
                                                    {% if app.user.organization is defined and app.user.organization | length > 0 %}
                                                        <h4>{{ app.user.organization }}</h4>
                                                    {% else %}
                                                        <h4>DATAtourisme</h4>
                                                    {% endif %}
                                                    <small>Membre depuis {{ app.user.created | moment.format('M Y') }}</small>
                                                {% endif %}
                                            </div>
                                        </li>
                                        <!-- Menu Footer-->
                                        <li class="user-footer">
                                            <div class="pull-left">
                                                <a href="{{ path('account.user') }}" class="btn btn-default btn-sm">Mon profil</a>
                                            </div>
                                            <div class="pull-right">
                                                <a href="{{ path('security.logout') }}" class="btn btn-default btn-sm">Déconnexion</a>
                                            </div>
                                        </li>
                                    </ul>
                                </li>
                                <!-- Impersonate -->
                                {% if is_granted('IS_IMPERSONATOR') %}
                                    <li>
                                        <a href="{{ path('user.administrate', {'id': app.user.id, '_switch_user': '_exit'}) }}" title="Arrêter la substitution" data-tooltip data-tooltip-distance="-12" class="bg-red">
                                            <i class="fa fa-user-secret"></i>
                                            <span class="visible-xs-inline">&nbsp;Arrêter la substitution</span>
                                        </a>
                                    </li>
                                {% endif %}
                            </ul>
                        </div>
                        <!-- /.navbar-collapse -->
                    </div>
                    <!-- /.navbar-custom-menu -->
                </div>
                <!-- /.container-fluid -->
            </nav>
            <div class="notify-container">
                {% if _breadcrumb is defined %}
                    {{ macros.breadcrumb(_breadcrumb) }}
                {% endif %}
            </div>
        </header>

        <div class="content-wrapper">
        {% block content_wide %}
            <!-- Full Width Column -->
            <div class="container">
                {% block content %}{% endblock %}
            </div>
            <!-- /.container -->
        {% endblock %}
        </div>
        <!-- /.content-wrapper -->
        {% include "components/footer.html.twig" %}
    </div>
    <!-- ./wrapper -->
{% endblock  %}
